既存のプロジェクトスコープ指定プラットフォームポリシーの値または有効状態をアップデートします。プロジェクトスコープは ルート ID パス パラメーターによって保持され、 組織はそのプロジェクトから派生します。
PUT /api/v1 /projects/{id}/ policies/{olicy_id}
curl \
--request PUT 'https://agentengine.mongodb.com/api/v1/projects/{id}/policies/{policy_id}' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{
"enabled": true,
"int_value": 42,
"string_list": [
"string"
]
}'
リクエスト例
{
"enabled": true,
"int_value": 42,
"string_list": [
"string"
]
}
応答の例(406)
操作は利用できません
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "This operation supports text/event-stream, which the Accept header excludes. Remove unsupported media-type parameters or accept this type with a positive q value.",
"error": 406,
"errorCode": "UNACCEPTABLE_MEDIA_TYPE",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
{
"detail": "The requested API version is not supported. Supported versions: 2026-09-20-preview.",
"error": 406,
"errorCode": "UNSUPPORTED_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(406)
{
"detail": "This operation is not available in API version 2026-09-20-preview.",
"error": 406,
"errorCode": "OPERATION_NOT_IN_API_VERSION",
"parameters": [
"Accept"
],
"reason": "Not Acceptable"
}
応答の例(200)
{
"created_at": "string",
"created_by": "string",
"enabled": true,
"id": "string",
"int_value": 42,
"org_id": "string",
"project_id": "string",
"scope": "org",
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION",
"updated_at": "string",
"updated_by": "string"
}
応答の例(200)
{
"created_at": "string",
"created_by": "string",
"enabled": true,
"id": "string",
"int_value": 42,
"org_id": "string",
"project_id": "string",
"scope": "org",
"string_list": [
"string"
],
"type": "MAX_TOOL_CALLS_PER_EXECUTION",
"updated_at": "string",
"updated_by": "string"
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(400)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(403)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(404)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(404)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}
応答の例(500)
{
"code": "string",
"error": "string",
"success": true
}